Subject: bug#14093: configure for build problem

From: Mark H Weaver <[email-masked]>
Date: Sun, 31 Mar 2013 11:36:07 -0400

Hi,

Please keep <[email-masked]> in the CC line, so that your
messages related to this bug will be included in the relevant entry in
our bug tracking system.

     Thanks,
       Mark

"d.henman" <[email-masked]> writes:

> Ludovic and Mark,
>   thanks for answering my query.
>
>> The configure script checks for libffi via the pkg-config tool.
>> 
>> What does ‘pkg-config libffi --cflags --libs’ return on your machine?
>
>  $ pkg-config libffi --cflags --libs
> Package libffi was not found in the pkg-config search path.
> Perhaps you should add the directory containing `libffi.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'libffi' found
>
> I'm looking for information at cygwin and also 
> about gettnig the ffi.h file as Mark suggested.
>
>
> Regards

"d.henman" <[email-masked]> writes:

> Mark H Weaver <[email-masked]> wrote:
>> > $ configure
>> > ....
>> > checking for LIBFFI... configure: error: Package requirements (libffi) were not met:
>> >
>> > No package 'libffi' found
>> 
>> A few questions:
>> * Do you have "ffi.h" on your system?  If so, where?
>
> I found  ffi.h in /usr/lib/gcc/i686-pc-cygwin/4.5.3/include/ffi.h
>
>> * Do you have "libffi.pc" on your system?  If so, where?
> .. but there is no libffi.pc
>
>> * Do you have the 'pkg-config' command installed?
> yes
>  
>> I'm not very familiar with cygwin, so maybe someone else could help you
>> more efficiently, but if you have the 'pkg-config' command and can find
>> "libffi.pc", then it might be sufficient to do (before running
>> ./configure):
>> 
>>   export PKG_CONFIG_PATH=/DIRECTORY_THAT_CONTAINS_LIBFFI_DOT_PC
>> 
>> Otherwise, as a fall-back plan: if you can find "ffi.h", then it might
>> be sufficient to do (before running ./configure):
>> 
>>   export LIBFFI_CFLAGS=-I/DIRECTORY_THAT_CONTAINS_FFI_DOT_H
>>   export LIBFFI_LIBS=-lffi
>
> I'll try this on the morrow.
>  
>> Please let us know how this works out.
>> 
>>     Regards,
>>       Mark